Overview | Modules | Class Hierarchy | Classes | Members

# tlp::PluginLoaderTxt Struct Reference

`#include <PluginLoaderTxt.h>`

Inherits tlp::PluginLoader.

Inheritance diagram for tlp::PluginLoaderTxt:

[legend]
Collaboration diagram for tlp::PluginLoaderTxt:

[legend]
List of all members.

## Public Member Functions

- virtual void start (const std::string &path, const std::string &type)
- virtual void loading (const std::string &filename)
- virtual void loaded (const std::string &name, const std::string &author, const std::string &date, const std::string &info, const std::string &release, const std::string &version, const std::list< Dependency > &deps)
- virtual void aborted (const std::string &filename, const std::string &erreurmsg)
- virtual void finished (bool state, const std::string &msg)

## Member Function Documentation

virtual void tlp::PluginLoaderTxt::aborted | ( | const std::string & | filename,
|  | const std::string & | erreurmsg
| ) | `[virtual]`

| Implements tlp::PluginLoader.

virtual void tlp::PluginLoaderTxt::finished | ( | bool | state,
|  | const std::string & | msg
| ) | `[virtual]`

| Implements tlp::PluginLoader.

virtual void tlp::PluginLoaderTxt::loaded | ( | const std::string & | name,
|  | const std::string & | author,
|  | const std::string & | date,
|  | const std::string & | info,
|  | const std::string & | release,
|  | const std::string & | version,
|  | const std::list< Dependency > & | deps
| ) | `[virtual]`

| Implements tlp::PluginLoader.

virtual void tlp::PluginLoaderTxt::loading | ( | const std::string & | filename | ) | `[virtual]`

| Implements tlp::PluginLoader.

virtual void tlp::PluginLoaderTxt::start | ( | const std::string & | path,
|  | const std::string & | type
| ) | `[virtual]`

| Implements tlp::PluginLoader.

Tulip Software by LaBRI Visualization Team 2001 - 2010